{ config, ... }:
let
  svc = config.system.service;
in
{
  services.dhcpv4 = svc.network.dhcp.client.build {
    interface = config.services.int;
    dependencies = [
      config.services.bridge.components.lan
    ];
  };

  services.defaultroute4 = svc.network.route.build {
    via = "$(output ${config.services.dhcpv4} router)";
    target = "default";
    dependencies = [ config.services.dhcpv4 ];
  };
}
