{ pkgs, config, ... }:
let
  svc = config.system.service;
in
{
  # Get moar random please
  services = {
    jitter = svc.jitter-rng.build { };
    packet_forwarding = svc.network.forward.build { };
    ntp = config.system.service.ntp.build {
      pools = {
        "pool.ntp.org" = [ "iburst" ];
      };

      dependencies = [ config.services.jitter ];
    };
  };

  boot.tftp = {
    serverip = "192.0.2.10";
    ipaddr = "192.0.2.12";
  };

  defaultProfile.packages = with pkgs; [
    zyxel-bootconfig
    min-collect-garbage
  ];
}
